<template>
  <a-layout :class="['layout', device]">
    <a-layout-content
      :style="{ minHeight: '100vh' }"
      :class="[layoutMode, `content-width-${contentWidth}`]"
    >
      <route-view />
    </a-layout-content>
  </a-layout>
</template>

<script>
import { mixin, mixinDevice, AppDeviceEnquire } from '@/utils/mixin'
import RouteView from './RouteView'

export default {
  components: {
    RouteView
  },
  mixins: [mixin, mixinDevice, AppDeviceEnquire]
}
</script>

<style lang="less"></style>
